Apple периодически выпускает обновления прошивки базовой станции AirPort, чтобы улучшить производительность и функциональность устройства. В последнем обновлении компания устранила опасную уязвимость, которая позволяла злоумышленникам выполнить произвольный код.

Apple устранила критическую уязвимость в базовых станциях AirPort:	Фото - 2

Как сообщает Securitylab, компания выпустила бюллетень безопасности, уведомляющий о необходимости обновления прошивки на базовых станциях AirPort. Согласно описанию уязвимости в бюллетене, ошибка CVE-2015-7029 существует в коде, отвечающем за обработку DNS-пакетов. Злоумышленник может дистанционно с помощью специально сформированного DNS-ответа вызвать переполнение буфера и выполнить произвольный код на целевой системе.

Уязвимость затрагивает базовые станции AirPort Express, маршрутизаторы AirPort Extreme и сетевые точки доступа AirPort Time Capsule с поддержкой 802.11n, а также базовые станции AirPort Extreme и AirPort Time Capsule с поддержкой 802.11ac.

krit-3

Apple настоятельно рекомендует установить последнюю версию прошивки 7.6.7 или 7.7.7 с помощью утилиты AirPort Utility 6.3.1 для OS X или AirPort Utility 1.3.1 для iOS. Обновления прошивки AirPort устанавливаются только при запуске программы «Утилита AirPort»: необходимо выбрать базовую станцию и обновить ее.